> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Employee Sync History

> Lists paginated employee sync runs for the org with filter-config name and triggering user email.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-employee-sync-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-employee-sync-history:
    get:
      operationId: getEmployeeSyncHistory
      summary: Get Employee Sync History
      description: >-
        Lists paginated employee sync runs for the org with filter-config name
        and triggering user email.


        Not available to API keys.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
        - name: syncType
          in: query
          required: false
          schema:
            type: string
            enum:
              - manual
              - automatic
        - name: syncSource
          in: query
          required: false
          schema:
            type: string
            enum:
              - CSV_UPLOAD
              - WORKDAY
              - ADP
              - UKG
              - TOKUEOR
              - TRINET
              - GUSTO
              - DEEL
              - BAMBOOHR
              - IMPORTED
              - OTHER
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            minimum: 1
            maximum: 100
            default: 20
        - name: offset
          in: query
          required: false
          schema:
            type: number
            minimum: 0
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetEmployeeSyncHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetEmployeeSyncHistoryResponse:
      type: object
      properties:
        syncHistory:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              orgID:
                type: string
              syncRunId:
                type: string
              syncType:
                type: string
              syncSource:
                type: string
              filterConfigId:
                type:
                  - string
                  - 'null'
              filterConfigName:
                type: string
              filterSnapshot: {}
              totalRecords:
                type: integer
              filteredRecords:
                type: integer
              processedRecords:
                type: integer
              createdRecords:
                type: integer
              updatedRecords:
                type: integer
              failedRecords:
                type: integer
              startedAt:
                type: string
              completedAt:
                type:
                  - string
                  - 'null'
              durationMs:
                type:
                  - integer
                  - 'null'
              status:
                type: string
              errors: {}
              triggeredBy:
                type:
                  - string
                  - 'null'
              triggeredByEmail:
                type: string
              createdAt:
                type: string
            required:
              - id
              - orgID
              - syncRunId
              - syncType
              - syncSource
              - filterConfigId
              - filterSnapshot
              - totalRecords
              - filteredRecords
              - processedRecords
              - createdRecords
              - updatedRecords
              - failedRecords
              - startedAt
              - completedAt
              - durationMs
              - status
              - errors
              - triggeredBy
              - createdAt
        total:
          type: integer
        limit:
          type: number
        offset:
          type: number
      required:
        - syncHistory
        - total
        - limit
        - offset
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
